       program-id. XMLfromUrl.
       
       configuration section.
       repository.
           class J_Iterator      as "java.util.Iterator"
           class J_Element       as "org.jdom.Element"
           class J_SAXBuilder    as "org.jdom.input.SAXBuilder"
           class J_Document      as "org.jdom.Document"
           class J_URL           as "java.net.URL"
           .

       working-storage section.
       77  W_SAXBuilder                object reference J_SAXBuilder.
       77  W_Document                  object reference J_Document.
       77  W_Element                   object reference J_Element.
       77  W_Iterator                  object reference J_Iterator.
       77  w_xml                         pic x any length.


       procedure division.
       main.
           try
             move "https://www.w3schools.com/xml/simple.xml" to w_xml
             
             set W_SAXBuilder to J_SAXBuilder::"new"
             set W_Document to W_SAXBuilder::"build"(
                                J_URL::"new"(w_xml))
             set W_Element to W_Document::"getRootElement"
             set W_Iterator to W_Element::"getChildren"::"iterator"
             perform until not W_Iterator::"hasNext"
                 set W_Element to W_Iterator::"next" as J_Element
                 display W_Element::"getChildText"("price")
                                 " " 
                                 W_Element::"getChildText"("name")
                                 ", Calories: " 
                                 W_Element::"getChildText"("calories")
             
             end-perform
           catch exception
             display exception-object
           end-try.

       stop run.
